www.mikrocontroller.net

Forum: Mikrocontroller und Digitale Elektronik AVR ISP Programmer Update


Autor: Dom (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hallo!
Muss man den AVR ISP Programmer von Atmel unbedingt updaten, wenn AVR
Studio das empfielt, oder beeinträchtigt das die Funktion nicht? Hat da
schon jem Erfahrung mit gemacht?

MFG Dominik

Autor: TravelRec. (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Sollte man (wegens der Unterstützung neuer Chips). Ich persönlich habe
mit AVR-Studio 4.11 upgedatet auf Firmware 2.0 - ging problemlos.
Allerdings schreiben manche User, daß sie ihren AVR-ISP nach dem Update
nicht mehr verwenden konnten... Auf jeden Fall solltest Du alle
Dialogboxen gut durchlesen und beachten und den PC während des Updates
nicht mit anderen Anwendungen stressen!

Autor: Dom (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Ja das Problem hatte ich nämlich mit meinem letzten Programmer und
wollte das jetzt erstmal ohne update versuchen. Bekomme da jedoch immer
eine Fehlermeldung und weiß jetzt nicht ob es an dem fehlenden update
oder an etwas anderem liegt. Hab einen mega32 mit der Schaltung aus dem
Tutorial.

Autor: Jens (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Updaten sollte man nur dann, wenn es erforderlich ist, also wenn man mit
einem neuen Controller arbeitet, den die alte Firmware nicht
unterstützt. Ansonsten: never touch a running system!

Autor: Dom (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Also man kann aber davon ausgehen dass ein jetzt neuer Programmer wohl
den normalen mega32 unterstützt oder?

Autor: TravelRec. (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
mega32 ja, aber ATTiny2313 z.B. nicht. Zudem gibt es Inkompatibilitäten,
wenn Du ein neues AVR-Studio nutzen möchtest, aber eine ältere Firmware
im ISP ticken hast. Was genau nicht funktioniert, kann ich nicht sagen,
hab´ ja das Update gemacht...

Autor: Dom (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Also ih nutze das Studio, was beim Programmer dabei war Version 4.11.
Sollte allerdings beim wurde allerdings beim ersten Anschließen des
Programmers aufgefordert upzudaten. Weiß jetzt echt nicht, ob ich es
nocheinmal wagen soll...

Autor: TravelRec. (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Wenn Du´s irgendwann brauchst, mußt Du´s ja doch machen - ich kann nur
sagen, daß es in meinem Fall ohne Probleme geklappt hat (hab meinen
AVR-ISP vor ziemlich 1/2 Jahr gekauft, als 4.11 gerade ´rauskam).

Antwort schreiben

Die Angabe einer E-Mail-Adresse ist freiwillig. Wenn Sie automatisch per E-Mail über Antworten auf Ihren Beitrag informiert werden möchten, melden Sie sich bitte an.

Wichtige Regeln - erst lesen, dann posten!

  • Groß- und Kleinschreibung verwenden
  • Längeren Sourcecode nicht im Text einfügen, sondern als Dateianhang

Formatierung (mehr Informationen...)

  • [c]C-Code[/c]
  • [avrasm]AVR-Assembler-Code[/avrasm]
  • [code]Code in anderen Sprachen, ASCII-Zeichnungen[/code]
  • [math]Formel in LaTeX-Syntax[/math]
  • [[Titel]] - Link zu Artikel
  • Verweis auf anderen Beitrag einfügen: Rechtsklick auf Beitragstitel,
    "Adresse kopieren", und in den Text einfügen




Bild automatisch verkleinern, falls nötig
Bitte das JPG-Format nur für Fotos und Scans verwenden!
Zeichnungen und Screenshots im PNG- oder
GIF-Format hochladen. Siehe Bildformate.
Hinweis: der ursprüngliche Beitrag ist mehr als 6 Monate alt.
Bitte hier nur auf die ursprüngliche Frage antworten,
für neue Fragen einen neuen Beitrag erstellen.

Mit dem Abschicken bestätigst du, die Nutzungsbedingungen anzuerkennen.